# Interface OpenApiMetaData

interface OpenApiMetaData {
id: string;
operation?: string | OperationObjectWithMetadata;
refresh?: (
| Type<Refreshable>
| InjectionToken<Refreshable>
| AbstractType<Refreshable>
)[];
serverId?: string;
serverIndex?: number;
[key: string]: any;
}

#### Hierarchy

- BaseRemoteMethodMetadata
  - OpenApiMetaData

#### Indexable

- [key: string]: any

- Defined in packages/angular/open-api/src/lib/open-api.meta-data.ts:4

#####
Index

### Properties

id
operation?
refresh?
serverId?
serverIndex?

##
Properties

### id

id: string

Overrides BaseRemoteMethodMetadata.id

- Defined in packages/angular/open-api/src/lib/open-api.meta-data.ts:17

### `Optional` operation

operation?: string | OperationObjectWithMetadata

The operation object with path and method

- Defined in packages/angular/open-api/src/lib/open-api.meta-data.ts:8

### `Optional` refresh

refresh?: (
| Type<Refreshable>
| InjectionToken<Refreshable>
| AbstractType<Refreshable>
)[]

Inherited from BaseRemoteMethodMetadata.refresh

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:24

### `Optional` serverId

serverId?: string

used to specify the target server for the reset api operation

- Defined in packages/angular/open-api/src/lib/open-api.meta-data.ts:16

### `Optional` serverIndex

serverIndex?: number

The index of the server object in the servers array in the open api config

- Defined in packages/angular/open-api/src/lib/open-api.meta-data.ts:12